Saltar al contenido principal
POST
/
api
/
v1
/
br
/
loan-accounts
/
{id}
/
prepayments
Prepagar la cuenta de préstamo (alias BR)
curl --request POST \
  --url https://lender.sandbox.lerian.net/api/v1/br/loan-accounts/{id}/prepayments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Idempotency: <x-idempotency>' \
  --data '
{
  "businessDate": "<string>",
  "effectiveDate": "<string>",
  "transactionId": "<string>",
  "amount": "<string>",
  "quoteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
import requests

url = "https://lender.sandbox.lerian.net/api/v1/br/loan-accounts/{id}/prepayments"

payload = {
"businessDate": "<string>",
"effectiveDate": "<string>",
"transactionId": "<string>",
"amount": "<string>",
"quoteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"X-Idempotency": "<x-idempotency>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'X-Idempotency': '<x-idempotency>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
businessDate: '<string>',
effectiveDate: '<string>',
transactionId: '<string>',
amount: '<string>',
quoteId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};

fetch('https://lender.sandbox.lerian.net/api/v1/br/loan-accounts/{id}/prepayments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "previousScheduleVersionId": "<string>",
  "scheduleVersion": {
    "createdAt": "<string>",
    "id": "<string>",
    "installments": [
      {
        "dueDate": "<string>",
        "feesAmount": "<string>",
        "interestAmount": "<string>",
        "number": 123,
        "penaltiesAmount": "<string>",
        "principalAmount": "<string>",
        "principalRemaining": "<string>",
        "totalAmount": "<string>"
      }
    ],
    "loanAccountId": "<string>",
    "reason": "<string>",
    "triggerTransactionId": "<string>",
    "versionNumber": 123,
    "predecessorVersionId": "<string>"
  }
}
{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}

Autorizaciones

Authorization
string
header
requerido

JWT bearer token issued by the identity provider.

Encabezados

X-Idempotency
string
requerido

Canonical idempotency request ID. Enforced by the lib-commons idempotency middleware.

Ejemplo:

"550e8400-e29b-41d4-a716-446655440011"

Parámetros de ruta

id
string<uuid>
requerido

Loan account identifier (UUID).

Ejemplo:

"550e8400-e29b-41d4-a716-446655440000"

Cuerpo

application/json
businessDate
string
requerido

YYYY-MM-DD business date applied to the prepayment.

Ejemplo:

"2026-06-14"

effectiveDate
string
requerido

YYYY-MM-DD effective date of the prepayment.

Ejemplo:

"2026-06-14"

transactionId
string
requerido

Operator-supplied prepayment transaction identifier.

Maximum string length: 128
amount
string

Prepayment amount (2 d.p. string). Required when quoteId is empty.

Ejemplo:

"100.00"

quoteId
string<uuid>

Settlement quote identifier. Required when amount is empty.

Ejemplo:

"550e8400-e29b-41d4-a716-446655440020"

Respuesta

Created

previousScheduleVersionId
string
requerido

Predecessor schedule version UUID.

Ejemplo:

"550e8400-e29b-41d4-a716-446655440031"

scheduleVersion
object
requerido

The newly appended immutable schedule version.